import modules.userinfo as userinfo


class UsersCommand:
    def __init__(self, *args):
        self.users(*args)

    def users(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if len(spl) < 2:
                incUsage("users")
                return
            result = userinfo.getUsers(spl[1:])
            rtrn = ""
            for i in result.keys():
                rtrn += "Matches from: %s" % i
                rtrn += "\n"
                for x in result[i]:
                    rtrn += x
                    rtrn += "\n"
                rtrn += "\n"
            info(rtrn)
            return
        else:
            incUsage(None)
